## pay-respects 0.7.8

=== Makefile ===
build:
	cargo build

release:
	cargo build --release

build-all:
	cargo build --workspace

release-all:
	cargo build --release --workspace

clean:
	cargo clean

test-rust:
	cargo test --workspace --verbose

fmt:
	cargo fmt

fix:
	cargo clippy --all --fix --allow-dirty --allow-staged

install:
	echo "Installing pay-respects core. Use `install-all` to install all modules."
	cargo install --path core

install-all:
	echo "Installing pay-respects core and all modules."
	cargo install --path core
	cargo install --path module-runtime-rules
	cargo install --path module-request-ai

test-suggestions: build
	cd tests && bash main.sh

test: test-rust test-suggestions

=== debian/changelog ===
pay-respects (0.7.8-1) unstable; urgency=medium

  * Initial debian release (Closes: #1089677)

 -- Don Xu <me@eipi.fun>  Thu, 10 Jul 2025 17:34:05 +0800

=== debian/control ===
Source: pay-respects
Section: utils
Priority: optional
Maintainer: Don Xu <me@eipi.fun>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-cargo,
               cargo,
               rustc (>= 1.75),
               libstd-rust-dev,
               librust-arc-swap-dev,
               librust-askama-dev,
               librust-colored-dev,
               librust-criterion-dev,
               librust-curl-dev,
               librust-glob-dev,
               librust-globwalk-dev,
               librust-inquire-dev,
               librust-normpath-dev,
               librust-openssl-probe-dev,
               librust-openssl-sys-dev,
               librust-proc-macro2-dev,
               librust-quickcheck-dev,
               librust-regex-lite-dev,
               librust-reqwest-dev,
               librust-siphasher-dev,
               librust-sys-locale-dev,
               librust-textwrap-dev,
               librust-toml-dev,
               librust-triomphe-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/iffse/pay-respects
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/EiPiFun/pay-respects
Vcs-Git: https://salsa.debian.org/EiPiFun/pay-respects.git

Package: pay-respects
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Press F to correct your command, pay-respects
 pay-respects is a command suggestions similar to the command-not-found
 and thefuck.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/rustc/architecture.mk

CARGO_BASE_ARGS = --release --target $(DEB_TARGET_RUST_TYPE)
BIN = --package pay-respects \
      --package pay-respects-module-request-ai \
      --package pay-respects-module-runtime-rules

export _DEF_PR_AI_API_KEY = NONE
export _DEF_PR_AI_URL = NONE
export _DEF_PR_AI_MODEL = NONE

export RUST_TEST_THREADS=1

%:
	@dh $@

execute_before_dh_auto_configure:
	mkdir -p .cargo
	cp debian/cargo-config.toml .cargo/config.toml
	rm Cargo.lock
	cp -r debian/missing-sources/locale.rs core/src
	cp -r debian/missing-sources/locale.rs module-request-ai/src

override_dh_auto_build:
	cargo build $(CARGO_BASE_ARGS) $(BIN)
	#cargo run $(CARGO_BASE_ARGS) $(BIN) -- --generate-man > debian/pay-respects.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cargo test $(CARGO_BASE_ARGS)
endif

=== debian/tests/control ===
Test-Command: bash tests/main.sh
Depends:
 bash,
 pay-respects

=== debian/watch ===
version=4
https://github.com/iffse/@PACKAGE@/tags .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## pay-respects 0.7.9

=== debian/changelog ===
pay-respects (0.7.9-1) unstable; urgency=medium

  * New upstream release (Closes: #1117914)

 -- Don Xu <me@eipi.fun>  Mon, 20 Oct 2025 20:43:11 +0800
